/*
   This program "produces" sequential numbers to stdout.
   The rate of production is set by a command-line argument.

   Pipe the output from this program into the input of consumer.
*/
#include <stdio.h>
#include <limits.h>
#include <windows.h>   // Winddows Sleep()
//#include <unistd.h>  // Posix sleep()

int main(int argc, char **argv)
{
   int count = INT_MAX;
   int counter = 1000000; /* seven digits and a space make 8 bytes */
   int milliSeconds = 1;
   if (argc > 1)
   {
      milliSeconds = atoi(argv[1]);
   }
   if (argc > 2) /* change the default starting value of counter */
   {
      counter = atoi(argv[2]);
   }
   while(count >= 0)
   {
      fprintf(stdout, "%d ",  counter);
      fprintf(stderr, "%d\n", counter);
      //fflush(stdout);
      ++counter;
      --count;
      Sleep(milliSeconds);
   }
   return 0;
}
